%% LaTeX-Beamer template for KIT design
%% mostly compatible to KIT corporate design
%% http://intranet.kit.edu/gestaltungsrichtlinien.php
\documentclass[18pt,aspectratio=43]{beamer} %do not change

%% Language
\usepackage[english]{babel}
%\usepackage[ngerman]{babel}

%% SLIDE FORMAT
\usepackage{templates/beamerthemekit}
\pgfplotsset{compat=1.16}

% custom aspect ratio
% alternatively set this in the document class
\setAspectRatio{16}[9]

% Stuff
%\usepackage{templates/mz}
\usepackage{templates/pdfpcnotes}
\usepackage{csquotes}
\MakeOuterQuote{"}

% use this to disable the latex beamer navigation symbols
\beamertemplatenavigationsymbolsempty

% use this to disable the footer navigation
%\hideNavigation


%% TITLE PICTURE

% if a custom picture is to be used on the title page, copy it into the 'logos'
% directory, in the line below, replace 'mypicture' with the 
% filename (without extension) and uncomment the following line
% (picture proportions: 63 : 20 for standard, 169 : 40 for wide
% *.eps format if you use latex+dvips+ps2pdf, 
% *.jpg/*.png/*.pdf if you use pdflatex)

%\imageBackground{black}
\strechBackground
\titleimage{logos/background.png}
%\hideSourceBackground
\titlesource{Source: \href{https://www.kit.edu/}{kit.edu}}
%\showDimension

%% TITLE LOGO

% for a custom logo on the front page, copy your file into the 'logos'
% directory, insert the filename in the line below and uncomment it

\titlelogo{scaleLogo}
%titlelogo{algoLogo}

% (*.eps format if you use latex+dvips+ps2pdf,
% *.jpg/*.png/*.pdf if you use pdflatex)

% the presentation starts here

\title[short title]{long title}
\subtitle{subtitle}
\author{author}
\date{date}

\institute{institute}

% Bibliography

\usepackage[citestyle=authoryear,bibstyle=numeric,hyperref,backend=biber]{biblatex}
\addbibresource{example.bib}
\bibhang1em

\begin{document}

%title page
\begin{frame}
\titlepage
\end{frame}

\begin{frame}{Outline}
	\tableofcontents
\end{frame}

\section{CurSection}
\subsection{CurSubsection}

\startFrame[\insertsection][test]

\section{Section}
\subsection{Subsection}

\begin{frame}{Subsection}{Subsubsection}
	\pnote{this will only be visible in pdfpc!}
	\begin{block}{text}
		\begin{itemize}
			\item a "test" \enquote{test}
		\end{itemize}
	\end{block}
	\begin{alertblock}{warning}
		\begin{itemize}
			\item a
		\end{itemize}
	\end{alertblock}
	\begin{exampleblock}{example}
		\begin{itemize}
			\item a
		\end{itemize}
	\end{exampleblock}
	\begin{kitblock}{kit-orange100}{example}
		\begin{itemize}[label={\kitBullet[kit-red100]}]
			\item $\leftarrow$
		\end{itemize}
	\end{kitblock}
	\kitBullet\kitbox{test}\kitbox[kit-red100]{test2}\kitbox{\kitBullet}\kitBulletNumbered{1}
	$\mathbb{Z}$Z\textsc{Hallo}\textit{Hallo}\textbf{Hallo}
	\[
		a\pi a\cdot\sum\limits_{i=1}^{n} \frac{1}{i}\quad\mathbb{R}\mathbb{Q}\mathbb{Z}\phi\varepsilon\gamma hallo \mathcal{O}
	\]
\end{frame}

\begin{frame}{Colors}
	\kitBullet[kit-red]
	\kitBullet[kit-orange]
	\kitBullet[kit-yellow]
	\kitBullet[kit-palegreen]
	\kitBullet[kit-green]
	\kitBullet[kit-cyan]
	\kitBullet[kit-blue]
	\kitBullet[kit-purple]
	\kitBullet[kit-brown]
	\begin{tikzpicture}
	\begin{axis}[
		hide axis,
		xlabel=$x$,ylabel=$y$,
		mesh/interior colormap name=kit-rainbow
	]
	\addplot3 [domain=-2:2,surf, shader=faceted] {exp(-x^2-y^2)};
	\end{axis}
	\end{tikzpicture}%
\end{frame}

\begin{frame}{Graphics}
	\newFrame<2>%
	\begin{itemize}
		\item graphics should be grayed out
	\end{itemize}
	\pause
	\begin{minipage}[H]{0.47\textwidth}
		\begin{alertblock}{bad\phantom{p}}
			\centering
			\includegraphics[height=0.5\textheight]{logos/algoLogo}
		\end{alertblock}
	\end{minipage}
	\hfill
	\begin{minipage}[H]{0.47\textwidth}
		\begin{block}{good}
			\centering
			\showgraphic<2>[height=0.5\textheight]{logos/algoLogo}
		\end{block}
	\end{minipage}
\end{frame}

\begin{frame}{Pseudocode}
	\begin{pseudocode}
		{FAST Algorithm}
		{undirected graph $G=(V\mkern-4mu, E)$, permutation \textit{ord}}
		{minimal chordal supergraph $G_{res}=(V\mkern-4mu, E_{res})$}
		$G_{res} \longleftarrow G$\;
		$\mathit{rank} \longleftarrow \mathit{ord}\,^{-1}$\;
		\ForEach{$u \in V \textnormal{ ordered by }\mathit{rank}$}{
			\If{$N^+(u) \neq \nothing$}{
				$v \longleftarrow \arg\!\min\set[\big]{\mathit{rank}[w] \given w \in N^+(u)}$\;\label{lst:line:min}
				\ForEach{$\{u, w\} \in E_{res}$}{\label{lst:line:loop}
					\If{$\mathit{rank}[u] < \mathit{rank}[w]$}{
						$E_{res} \longleftarrow E_{res} \cup \big\{\{v, w\}\big\}$\;\label{lst:line:add}
					}
				}
			}
		}
	\end{pseudocode}
\end{frame}

\begin{frame}[fragile]{Code}
	\begin{itemize}
		\item Note that this frame has to be fragile
		\item \texttt{Text}Text
	\end{itemize}
	\begin{code}{c++}{Hello World}
#include <bits/stdc++.h>
using namespace std;

//this is a hello world programm!
main() {
	cout << "Hello World!" << endl;
	for (int i = 0; i < 5; i++) {
		if (i > 3) {
		}
	}
	return 0;
}
	\end{code}
\end{frame}

\begin{frame}{Table}
	\begin{boxedtable}
		{This is a table}
		{X[1l]X[1.5c]X[1r]}
		{Left & Center & Right}
		this & is a & test.\\
		but & to few & columns\\
		look & really & bad!\\
	\end{boxedtable}
	\begin{boxedtable}
		{This is also a table}
		{X[1l]X[1.5c]X[1r]}
		{Left & Center & Right}[with extra bullet]
		this & is a & test.\\
		but & to few & columns\\
		look & really & bad!\\
	\end{boxedtable}
\end{frame}

\begin{frame}{Enumerations}
	\begin{enumerate}
		\item fix this
		\item make page number right aligned
		\begin{enumerate}
			\item fix this
			\item make page number right aligned
			\begin{enumerate}
				\item fix this
				\item make page number right aligned
			\end{enumerate}
		\end{enumerate}
	\end{enumerate}
	\begin{block}{test}
		\begin{enumerate}
			\item fix this
			\item make page number right aligned
		\end{enumerate}
	\end{block}
\end{frame}

\begin{frame}{Theorem}
	\begin{theorem}
		There is no largest prime number.
	\end{theorem}
	\begin{proofSketch}
		\begin{itemize}
			\item This is trivial!\qedhere
		\end{itemize}
	\end{proofSketch}
	\begin{proof}
		\begin{enumerate}
			\item Suppose $p$ were the largest prime number.
			\item Let $q$ be the product of the first $p$ numbers.
			\item Then $q + 1$ is not divisible by any of them.
			\item But $q + 1$ is greater than $1$, thus divisible by some prime
			number not among the first $p$ numbers.\qedhere
		\end{enumerate}
	\end{proof}
\end{frame}

\begin{frame}{Highlight}
	\justifying
	This is just a sample text. The text needs to be at least 3 lines long to show that the \highlight<2>[kit-red50]{highlighting} works co\highlight<2>{rr}ect in any direction. Therefore this nothing saying text was added to fill the third line.
\end{frame}

\begin{frame}{Background/Foreground}
	\begin{foreground}[9mm][45mm]
		\kitbox{\centerbox{1cm}{1cm}{fg}}
	\end{foreground}
	\justifying
	This is just a sample text. This text is only needed to fill some space and show that we can place anything behind it or before it. The order does not matter\dots\\
	\#\#\#\#\#\#\#\#\#\\
	\#\#\#\#\#\#\#\#\#\\
	\#\#\#\#\#\#\#\#\#\\
	\#\#\#\#\#\#\#\#\#\\
	\begin{background}[0mm][0mm][clip]
		\includegraphics[width=\paperwidth,height=\paperheight]{logos/background_grey.png}
	\end{background}
\end{frame}

\section{test}

\begin{frame}{test}
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
	a\newline
\end{frame}

\appendix
\beginbackup

%\begin{frame}[allowframebreaks]{References}
%\printbibliography
%\end{frame}

\backupend

\end{document}
